Bug 113547 - Eclipse Preferences Corrupted
Summary: Eclipse Preferences Corrupted
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact: eclipse-bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-15 02:34 UTC by Brad Smith
Modified: 2007-04-18 17:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-29 20:51:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brad Smith 2004-01-15 02:34:32 UTC
Description of problem:
The settings for the Preferences dialog gets corrupted such that
significant portions of the options disappear. For example, when I
started eclipse and looked in preferences, all Java configuration
options including the entry for Java were gone.

Version-Release number of selected component (if applicable):
eclipse-2.1.0-22

How reproducible:
This has happened twice. I use eclipse almost every day.

Steps to Reproduce:
1. Open eclipse.
2. Open preferences
3.
  
Actual results:
Some options are missing in preferences

Expected results:
All preferences should be present.

Additional info:
In addition, ant would no longer run. Basically the whole eclipse
system is hosed requiring a system rebuild from the ground up.
Checking out all projects, adding all plugins, setting preferences. A
full day or more of work.

Comment 1 Jeremy Handcock 2004-02-02 19:18:46 UTC
Do you use the natively-compiled eclipse, or do you use a 3rd-party
Java Virtual Machine?

In the two instances when this has happened, can you identify any
specific steps to reproduce?

Also, please be sure to update to the latest Red Hat Developer Suite
package using RHN (see
http://rhn.redhat.com/errata/rhel3devsuite-errata.html).


Note You need to log in before you can comment on or make changes to this bug.